/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.rax1;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see tdt4250.ra.rax1.Rax1Package
 * @generated
 */
public interface Rax1Factory extends EFactory
{
  /**
   * The singleton instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  Rax1Factory eINSTANCE = tdt4250.ra.rax1.impl.Rax1FactoryImpl.init();

  /**
   * Returns a new object of class '<em>Department</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Department</em>'.
   * @generated
   */
  Department createDepartment();

  /**
   * Returns a new object of class '<em>Person</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Person</em>'.
   * @generated
   */
  Person createPerson();

  /**
   * Returns a new object of class '<em>Course</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Course</em>'.
   * @generated
   */
  Course createCourse();

  /**
   * Returns a new object of class '<em>Resource Allocation</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Resource Allocation</em>'.
   * @generated
   */
  ResourceAllocation createResourceAllocation();

  /**
   * Returns the package supported by this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the package supported by this factory.
   * @generated
   */
  Rax1Package getRax1Package();

} //Rax1Factory
